<div *ngIf="analysis && providers">
  <div *nzModalTitle>
    <span nz-tooltip nzTooltipTitle="{{analysis.active? 'Active' : 'Inactive'}}" class="{{analysis.active? 'dot-green' : 'dot-red'}}">
    </span>
    <span class="title">
      {{analysis.name}}:
    </span>
    <span i18n="Modal title | @@verbsModalTitle">
      Consent
    </span>
  </div>

  <div *ngIf="analysis.active">
    <b i18n="@@analysisIsActiveNote">This analysis is already active since you consented to all necessary data collection.</b>
    <h2 i18n="@@listOfConsentedVerbs">List of consented data collection</h2>
    <nz-list>
      <i *ngIf="!hasConsentedElements()" class="no-elements">There are no consented elements.</i>
      <div *ngFor="let providerMap of providerMapping">
        <div *ngIf="!!providerMap.consentedVerbs.length">
          <b>{{providerMap.provider.name}}</b>
          <nz-list-item *ngFor="let verb of providerMap.consentedVerbs">
            <nz-list-item-meta [nzAvatar]="checkAvatar"></nz-list-item-meta>
            {{verb.description}}
          </nz-list-item>
        </div>
      </div>
    </nz-list>
  </div>
  <div *ngIf="!analysis.active" class="col">
    <div class="alert" i18n="@@analysisNotActiveAlert">
      This analysis is not active, since you did not consent to the necessary data collection. You have to consent to all necessary data collection to activate this analysis. You can click the following button to consent to all data collection. You can navigate to the consent management to revert this.
    </div>
    <div>
      <button nz-button nzType="dashed" i18n="accept all button @@acceptAllButton" (click)="doAccept()">
        <fa-icon [icon]="faCheck"></fa-icon>
      </button>

    </div>
  </div>
  <div class="row" *ngIf="!analysis.active">
    <div class="col">
      <h2 i18n="@@accepted">Consented</h2>
      <i *ngIf="!hasConsentedElements()" class="no-elements">There are no consented elements.</i>
      <nz-list>
        <div *ngFor=" let providerMap of providerMapping">
          <div *ngIf="!!providerMap.consentedVerbs.length">
            <b>{{providerMap.provider.name}}</b>

            <nz-list-item *ngFor="let verb of providerMap.consentedVerbs">
              <nz-list-item-meta [nzAvatar]="checkAvatar"></nz-list-item-meta>
              {{verb.description}}
            </nz-list-item>
          </div>
        </div>
      </nz-list>
    </div>

    <div class="col">
      <h2 i18n="@@notAccepted">Not consented</h2>
      <i *ngIf="!hasNotConsentedElements()">There are no disallowed elements.</i>
      <nz-list>
        <div *ngFor="let providerMap of providerMapping">
          <div *ngIf="!!providerMap.notConsentedVerbs.length">
            <b>{{providerMap.provider.name}}</b>
            <nz-list-item *ngFor="let verb of providerMap.notConsentedVerbs">
              <nz-list-item-meta [nzAvatar]="closeAvatar"></nz-list-item-meta>
              {{verb.description}}
            </nz-list-item>
          </div>
        </div>
      </nz-list>

    </div>
  </div>

  <div *nzModalFooter>
    <button nz-button nzType="primary" i18n="Close button @@close" (click)="handleClose()">Close</button>
  </div>
</div>
<ng-template #checkAvatar>
  <fa-icon [icon]="faCheck"></fa-icon>
</ng-template>
<ng-template #closeAvatar>
  <fa-icon [icon]="faTimes"></fa-icon>
</ng-template>
